=== debian/changelog ===
klatexformula (4.0.0-3) unstable; urgency=medium

  * libklatexformula4-dev breaks+replaces libklatexformula3-dev (Closes: #876457)

 -- Tobias Winchen <tobias@winchen.de>  Sun, 01 Oct 2017 11:36:17 +0200

klatexformula (4.0.0-2) unstable; urgency=medium

  * Added patch providing skeletons for OS dependent functions (Closes: #876291)

 -- Tobias Winchen <tobias@winchen.de>  Thu, 21 Sep 2017 19:52:59 +0200

klatexformula (4.0.0-1) unstable; urgency=medium

  [ Tobias Winchen ]
  * New upstream release
  * Updated to standards version 4.0.0
  * Added dependency on libqt5sql5-sqlite (Closes: #872717)
  * Updated maintainer e-mail address and vcs-git repository
  * Use manpage generated with help2man

  [ Juhani Numminen ]
  * Update further to standards version 4.1.0
    - Priority changed to optional as extra is now deprecated
  * Update to dh compat 10
    - Drop --parallel from dh $@
  * Call cmake through dh_auto_configure, allowing us to drop debian/clean
  * Enable Multi-Arch and mark lib* binary packages accordingly
  * Enable all hardening flags
  * Enable -Wl,--as-needed to avoid unnecessary dependencies
  * Disable rpaths using -DCMAKE_SKIP_RPATH=TRUE, drop Build-Dep on chrpath
  * Disable bundling of Computer Modern Unicode fonts into the executable
  * Add new binary package libklatexformula4-doc
    - New Build-Depends-Indep on doxygen and graphviz
    - New Build-Depends on jdupes for deduplication
    - Add Suggests in libklatexformula4-dev
    - Create debian/libklatexformula4-doc.doc-base
  * Install icons in usr/share/icons instead of usr/share/pixmaps
    - Install SVG icon using klatexformula.install
  * Edit and forward debian/patches/add_useful_whatis_entry_to_manpage
  * Separate description paragraphs, do not mention static libraries
  * Create lintian override as libklatexformula4 has two libraries
  * Rename debian/docs to debian/klatexformula.docs
  * Simplify watch file
  * Update homepage address
  * Update copyright years
  * Apply wrap-and-sort

 -- Tobias Winchen <tobias@winchen.de>  Sun, 17 Sep 2017 20:52:18 +0200
