## klatexformula 4.0.0.1%2Brb2

=== debian/changelog ===
klatexformula (4.0.0.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Tobias Winchen <tobias@winchen.de>  Thu, 28 Jan 2021 10:42:11 +0800

klatexformula (4.0.0-4) unstable; urgency=medium

  [ Tobias Winchen ]
  * Updated to standards version 4.2.0
  * Switched to debhelper compat 11

  [ Juhani Numminen ]
  * Patch to add missing include (Closes: #907000)
  * add include QPainterPath

 -- Tobias Winchen <tobias@winchen.de>  Fri, 24 Aug 2018 09:34:23 +0200
