## klatexformula 4.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # #################################### #
 # CMake project file for klatexformula #
 # #################################### #
-# $Id: CMakeLists.txt 1019 2017-02-07 06:20:02Z phfaist $
+# $Id$
 # #################################### #
 cmake_minimum_required(VERSION 3.1)
 
@@ -54,8 +54,7 @@
    For more options and help:
       - look at the stored cache variable documentation (displayed eg. by cmake-gui
         and ccmake, or directly in the CMakeCache.txt file)
-      - take a look at
-http://klatexformula.sourceforge.net/klfwiki/index.php/User_Manual:Downloading_%26_Installing
+      - take a look at https://klatexformula.sourceforge.io/doc/install
 
    And have a lot of fun!
 
@@ -304,3 +303,6 @@
       "Will package library and framework dependencies into klatexformula app bundle (KLF_MACOSX_BUNDLE_EXTRAS)")
   else()
     message(STATUS
+      "Will NOT package library and framework dependencies into klatexformula app bundle (KLF_MACOSX_BUNDLE_EXTRAS)")
+  endif()
+
