=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # ######################################## #
 # CMake project file for klatexformula/src #
 # ######################################## #
-# $Id: CMakeLists.txt 1021 2017-02-07 06:44:42Z phfaist $
+# $Id$
 # ######################################## #
 
 
@@ -120,6 +120,7 @@
   set(klatexformula_TSS
     i18n/klf_fr.ts
     i18n/klf_cs.ts
+    i18n/klf_uk.ts
     )
   # Resources
   set(klatexformula_QRCS
@@ -341,3 +342,4 @@
   file(APPEND "${klf_xtradata_res}" "  <qresource prefix=\"data/fonts\">\n")
   # with bundles, we include the file itself in the bundle, not in qrc (see QTBUG-30917):
   if(NOT KLF_MACOSX_BUNDLES)
+    foreach(fnt ${KLF_INCLUDE_FONTS})
