=== src/klfbackend/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # ################################################### #
 # CMake project file for klatexformula/src/klfbackend #
 # ################################################### #
-# $Id: CMakeLists.txt 977 2016-12-31 04:38:49Z phfaist $
+# $Id$
 # ################################################### #
