=== src/klftools/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # ################################################# #
 # CMake project file for klatexformula/src/klftools #
 # ################################################# #
-# $Id: CMakeLists.txt 1019 2017-02-07 06:20:02Z phfaist $
+# $Id$
 # ################################################# #
 
 
@@ -148,7 +148,9 @@
       klfdefs_win.cpp
       )
   else()
-    # no platform-specific definitions
+    target_sources(klftools PRIVATE
+      klfdefs_otheros.cpp
+      )
   endif()
