=== debian/changelog ===
klatexformula (4.1.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with CMake 4. (Closes: #1113081)

 -- Adrian Bunk <bunk@debian.org>  Sun, 26 Oct 2025 17:01:28 +0200

klatexformula (4.1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream commit 40d6fb87d7aff55a4c0e974aeff9fd1d918ad886 to
    properly use time_t as type for time(); patch
    upstream_Use-time_t-as-type-for-time.patch. (Closes: #1067545)

 -- Pino Toscano <pino@debian.org>  Mon, 27 May 2024 08:46:23 +0200

klatexformula (4.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Patch to add missing include (Closes: #974546)
  * Switched to debhelper compat 13
  * Updated to standards version 4.5.0
  * Add python version to userscripts and python3 to recommended packages
  * Added dependency on texlive-latex-base

 -- Tobias Winchen <tobias@winchen.de>  Fri, 13 Nov 2020 21:24:47 +0100
