=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Tobias Winchen <tobias@winchen.de>
 Build-Depends: cmake,
-               debhelper (>= 11),
+               debhelper (>= 13),
+							 debhelper-compat (= 13),
                help2man,
                jdupes,
                libqt5svg5-dev,
@@ -12,14 +13,15 @@
                qtbase5-dev-tools,
                qttools5-dev
 Build-Depends-Indep: doxygen, graphviz
-Standards-Version: 4.2.0
+Standards-Version: 4.5.0
 Vcs-Git: https://github.com/TobiasWinchen/klatexformula_debian.git
 Vcs-Browser: https://github.com/TobiasWinchen/klatexformula_debian
 Homepage: https://klatexformula.sourceforge.io/
 
 Package: klatexformula
 Architecture: any
-Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
+Depends: texlive-latex-base, libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
+Recommends: python3
 Description: GUI to easily get an image from a LaTeX formula or equation
  With klatexformula, just enter a formula and click "Evaluate" to get an image
  of a LaTeX formula. You can drag&drop, copy or save the resulting image
