=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_SKIP_RPATH=TRUE \
	-DKLF_BUILD_BACKEND_AUTO=FALSE \
	-DKLF_INSTALL_APIDOC_DIR=share/doc/libklatexformula4-doc \
	-DKLF_INSTALL_DESPLUGIN_DIR=lib/$(DEB_HOST_MULTIARCH)/qt5/plugins/designer \
	-DKLF_INSTALL_ICON_THEME=share/icons/hicolor \
	-DKLF_INSTALL_POST_UPDATEMIMEDATABASE=FALSE \
	-DKLF_INSTALL_SHARE_PIXMAPS_DIR=FALSE \
	-DKLF_NO_CMU_FONT=TRUE

override_dh_auto_install:
	dh_auto_install
	jdupes -rl debian/tmp/
